com.sun.jna.platform.win32

## Class Sspi.SecBufferDesc

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Sspi.SecBufferDesc

Direct Known Subclasses:
  SspiUtil.ManagedSecBufferDesc

Enclosing interface:
  Sspi

    @Structure.FieldOrder(value={"ulVersion","cBuffers","pBuffers"})
    public static class Sspi.SecBufferDesc
    extends Structure

The SecBufferDesc structure describes an array of SecBuffer structures to pass from a transport application to a security package.

SecBufferDesc was introduced because `Sspi.SecBufferDesc` does not correctly cover the case there not exactly one `Sspi.SecBuffer` is passed to the security package.

If the SecBufferDesc is managed from the java side, prefer to use `ManagedSecBufferDesc`.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`int` `cBuffers` Number of buffers.
`Pointer` `pBuffers` Pointer to array of buffers.
`int` `ulVersion` Version number.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`SecBufferDesc()` Create a new SecBufferDesc with one SECBUFFER_EMPTY buffer.

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ulVersion

    public int ulVersion

Version number.

#### cBuffers

    public int cBuffers

Number of buffers.

#### pBuffers

    public Pointer pBuffers

Pointer to array of buffers.

### Constructor Detail

#### SecBufferDesc

    public SecBufferDesc()

Create a new SecBufferDesc with one SECBUFFER_EMPTY buffer.

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.